Skip to main content
POST
/
v1
/
engagement-account-groups
Create Engagement Account Group
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementAccountGroupingId": "<string>",
  "code": "<string>",
  "description": {},
  "parentCode": "<string>",
  "hidden": true,
  "macCode": "<string>",
  "alias": "<string>"
}
'
{
  "engagementAccountGroupingId": "<string>",
  "code": "<string>",
  "description": {},
  "parentCode": "<string>",
  "hidden": true,
  "id": "<string>",
  "lowestLevel": true,
  "hierarchy": [
    "<string>"
  ],
  "macCode": "<string>",
  "accountTags": [
    "<string>"
  ],
  "publishedDate": "2023-11-07T05:31:56Z",
  "orderIndex": 123,
  "errors": [
    {
      "type": "ERROR_LOWEST_LEVEL_WITH_NO_MAC",
      "arguments": [
        "<string>"
      ]
    }
  ],
  "origin": "IMPORTED_FROM_LIBRARY",
  "alias": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
engagementAccountGroupingId
string
required

The unique identifier for the engagement account grouping that the engagement account group belongs to.

code
string
required

The account code for this account group.

description
object
required

A description of the account code for this account group.

parentCode
string
required

The parent code for this account group.

hidden
boolean
required

When true this account is hidden, and can't be used in account mapping. Additionally this account won't be suggested when automatically mapping accounts during file import.

macCode
string

The MAC code mapped to this account group.

alias
string

A replacement value used when displaying the account description.

This does not have any effect on automatic column mapping.

Response

201 - application/json

Created

engagementAccountGroupingId
string
required

The unique identifier for the engagement account grouping that the engagement account group belongs to.

code
string
required

The account code for this account group.

description
object
required

A description of the account code for this account group.

parentCode
string
required

The parent code for this account group.

hidden
boolean
required

When true this account is hidden, and can't be used in account mapping. Additionally this account won't be suggested when automatically mapping accounts during file import.

id
string

The unique object identifier.

lowestLevel
boolean
hierarchy
string[]

A list of the parent codes for this account group.

macCode
string

The MAC code mapped to this account group.

accountTags
string[]

A list of account tags assigned to this account group.

publishedDate
string<date-time>

The date this account group was published. If not set, this account group is not published.

Published account groups cannot be updated.

orderIndex
integer<int32>

The order in which this account group is displayed, relative to other account groups with the same parent.

errors
Account Group Error · object[]

A list of errors associated with this account group.

origin
enum<string>

The process that lead to the creation of the account group.

Available options:
IMPORTED_FROM_LIBRARY,
IMPORTED_FROM_ENGAGEMENT,
ADDED_ON_ENGAGEMENT
alias
string

A replacement value used when displaying the account description.

This does not have any effect on automatic column mapping.